# -*- encoding: utf-8 -*-
# stub: powerhome-attr_encrypted 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "powerhome-attr_encrypted".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Wade Winningham".freeze, "Ben Langfeld".freeze]
  s.date = "2021-09-02"
  s.description = "Generates attr_accessors that encrypt and decrypt attributes transparently".freeze
  s.email = ["wwinningham@powerhrg.com".freeze, "ben@langfeld.me".freeze]
  s.homepage = "https://github.com/powerhome/attr_encrypted".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n\n\nWARNING: Several insecure default options and features were deprecated in attr_encrypted v2.0.0.\n\nAdditionally, there was a bug in Encryptor v2.0.0 that insecurely encrypted data when using an AES-*-GCM algorithm.\n\nThis bug was fixed but introduced breaking changes between v2.x and v3.x.\n\nPlease see the README for more information regarding upgrading to attr_encrypted v3.0.0.\n\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Power's version of the attr_encrypted gem".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<encryptor>.freeze, ["~> 3.0.0"])
    s.add_development_dependency(%q<activerecord>.freeze, [">= 2.0.0"])
    s.add_development_dependency(%q<actionpack>.freeze, [">= 2.0.0"])
    s.add_development_dependency(%q<datamapper>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_development_dependency(%q<sequel>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3.0", ">= 1.3.6"])
    s.add_development_dependency(%q<dm-sqlite-adapter>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov-rcov>.freeze, [">= 0"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["<= 0.6.0"])
  else
    s.add_dependency(%q<encryptor>.freeze, ["~> 3.0.0"])
    s.add_dependency(%q<activerecord>.freeze, [">= 2.0.0"])
    s.add_dependency(%q<actionpack>.freeze, [">= 2.0.0"])
    s.add_dependency(%q<datamapper>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<sequel>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3.0", ">= 1.3.6"])
    s.add_dependency(%q<dm-sqlite-adapter>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov-rcov>.freeze, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["<= 0.6.0"])
  end
end
